      real function sloss_fraction(depth, alpha, beta)
c
c  Calculates the fractional charge loss of X-rays of energy MAIN_ENERGY 
c  at depth=depth microns
c
      implicit none

      real depth
      real alpha, beta

c-
c  Calculate Loss fraction

      sloss_fraction = alpha + (beta * depth)
      if( sloss_fraction .gt. 1.0 ) then
          sloss_fraction = 1.0
      endif
      if( sloss_fraction .lt. 0.0 ) then
          sloss_fraction = 0.0
      endif

      return
      end
